package solutions.bitbadger.documents.groovy

import org.junit.jupiter.api.DisplayName
import org.junit.jupiter.api.Test
import solutions.bitbadger.documents.FieldMatch

import static groovy.test.GroovyAssert.assertEquals

/**
 * Unit tests for the `FieldMatch` enum
 */
@DisplayName('JVM | Groovy | FieldMatch')
class FieldMatchTest {

    @Test
    @DisplayName('ANY uses proper SQL')
    void anySQL() {
        assertEquals('ANY should use OR', 'OR', FieldMatch.ANY.sql)
    }

    @Test
    @DisplayName('ALL uses proper SQL')
    void allSQL() {
        assertEquals('ALL should use AND', 'AND', FieldMatch.ALL.sql)
    }
}
